Bug 599527

Summary: dbus: Race condition in protected_change_timeout
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: dbusAssignee: Colin Walters <walters>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: amigadave, mclasen, walters
Target Milestone: ---Keywords: Tracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: dbus-1.3.2-0.1.885483.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-15 06:41:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 538278    
Attachments:
Description Flags
reworked patch from havoc, referenced in http://lists.freedesktop.org/archives/dbus/2008-January/009100.html none

Description Rex Dieter 2010-06-03 08:54:34 EDT
local tracker for upstream
https://bugs.freedesktop.org/show_bug.cgi?id=17754

and related,
http://bugreports.qt.nokia.com/browse/QTBUG-7475
http://bugreports.qt.nokia.com/browse/QTBUG-10751

kde is triggering this a lot, I'd like to be able to test the proposed upstream patch.
Comment 1 Rex Dieter 2010-06-03 09:33:47 EDT
Created attachment 419368 [details]
reworked patch from havoc, referenced in http://lists.freedesktop.org/archives/dbus/2008-January/009100.html
Comment 2 Rex Dieter 2010-06-03 09:37:29 EDT
Did some --enable-tests builds with and without the aforementioned patch, and it introduced no (new) failures.

There was this:

dbus-test: running message tests
/bin/sh: line 5:  7841 Aborted                 (core dumped) DBUS_TEST_DATA=../test/data DBUS_TEST_HOMEDIR=../dbus ${dir}$tst
FAIL: dbus-test

but that also fails without this patch
Comment 3 Rex Dieter 2010-06-03 09:43:57 EDT
f13 scratch build,
http://koji.fedoraproject.org/koji/taskinfo?taskID=2227402
Comment 4 Fedora Admin XMLRPC Client 2013-02-14 16:06:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2013-02-22 10:07:26 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 David King 2015-02-15 06:41:32 EST
This was fixed upstream in 1.3.2 (the first commit after bumping the version):

http://cgit.freedesktop.org/dbus/dbus/commit/?h=dbus-1.4&id=6ff1d079316cb730a54b4e0e95bd3e6e31f439de